__gnu_cxx::throw_value_limit(3)

NAME
__gnu_cxx::throw_value_limit - Type throwing via limit condition.

SYNOPSIS

Inherits __gnu_cxx::throw_value_base< limit_condition >.

  Public Types
typedef throw_value_base< limit_condition > base_type
typedef limit_condition condition_type

  Public Member Functions
throw_value_limit (const std::size_t __i)
throw_value_limit (const throw_value_limit &__other)
throw_value_limit (throw_value_limit &&)=default
throw_value_base & operator++ ()
throw_value_limit & operator= (const throw_value_limit &__other)
throw_value_limit & operator= (throw_value_limit &&)=default

  Static Public Member Functions
static size_t & count ()
static size_t & limit ()
static void set_limit (const size_t __l)
static void throw_conditionally ()

  Public Attributes
std::size_t _M_i

Detailed Description

Type throwing via limit condition.

Definition at line 724 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.